## Version information

Version information — Variables and functions to check the CTPL version

## Functions

#define | CTPL_CHECK_VERSION()
gboolean | ctpl_check_version ()

## Types and Values

#define | CTPL_MAJOR_VERSION
#define | CTPL_MINOR_VERSION
#define | CTPL_MICRO_VERSION
extern const guint | ctpl_major_version
extern const guint | ctpl_minor_version
extern const guint | ctpl_micro_version

## Includes

    #include <ctpl/ctpl.h>

## Description

Provides CTPL version checks.

## Functions

### CTPL_CHECK_VERSION()

    #define             CTPL_CHECK_VERSION(major, minor, micro)

Checks whether the CTPL version is equal or newer than the passed-in version.

This provides a compile-time check that can be used in preprocessor checks. If you want a run-time check, use `ctpl_check_version()`.

#### Parameters

major | CTPL major version required |
minor | CTPL minor version required |
micro | CTPL micro version required |

#### Returns

`TRUE` if the version is compatible, `FALSE` otherwise.

Since: 0.3

### ctpl_check_version ()

    gboolean
    ctpl_check_version (guint major,
                        guint minor,
                        guint micro);

Checks whether the CTPL library in use is presumably compatible with the given version. You would generally pass in the constants CTPL_MAJOR_VERSION, CTPL_MINOR_VERSION, CTPL_MICRO_VERSION as the three arguments to this function; that produces a check that the library in use is compatible with the version of CTPL the application was built against.

This function currently simply checks whether the actual CTPL version is equal or newer than the passed in version.

This provides a run-time check, unlike `CTPL_CHECK_VERSION` that does a compile-time check.

#### Parameters

major | CTPL major version required |
minor | CTPL minor version required |
micro | CTPL micro version required |

#### Returns

`TRUE` if the version is compatible, `FALSE` otherwise.

Since: 0.3

## Types and Values

### CTPL_MAJOR_VERSION

    #define CTPL_MAJOR_VERSION 0

Major version of the CTPL library the application is compiled against.

Since: 0.3

### CTPL_MINOR_VERSION

    #define CTPL_MINOR_VERSION 3

Minor version of the CTPL library the application is compiled against.

Since: 0.3

### CTPL_MICRO_VERSION

    #define CTPL_MICRO_VERSION 5

Micro version of the CTPL library the application is compiled against.

Since: 0.3

### ctpl_major_version

    extern const guint ctpl_major_version;

Major version of the CTPL library the application is running with.

Since: 0.3

### ctpl_minor_version

    extern const guint ctpl_minor_version;

Minor version of the CTPL library the application is running with.

Since: 0.3

### ctpl_micro_version

    extern const guint ctpl_micro_version;

Micro version of the CTPL library the application is running with.

Since: 0.3